// (C) Copyright 2020 Hewlett-Packard Enterprise Company, L.P.
/**
 * @constructor
 * @type {GuidanceView}
 */
define(['jquery'], function() {"use strict";

    var EntryView = ( function() {

        function EntryView() {

            /**
             * @public
             */
            this.init = function() {
                this.resume();
            };

            /**
             * @public
             */
            this.pause = function() {
            };

            /**
             * @public
             */
            this.resume = function() {
                $('#hp-main-menu-control').trigger('click');
                $('#hp-overlay').removeClass('hp-active');
            };
        }

        return new EntryView();
    }());

    return EntryView;
});
